package projectzombie.model;

import gl_engine.texture.TextureRef3D;

public class ModelPlayer
{
	public ModelGui model_gui;
	public ModelVertical model_back_still;
	public ModelVertical model_front_still;
	public ModelVertical model_back_moving;
	public ModelVertical model_front_moving;
	
	public ModelPlayer(
			TextureRef3D back_still, TextureRef3D back_moving,
			TextureRef3D front_still, TextureRef3D front_moving
	) {
		model_gui = new ModelGui(front_still);
		model_back_still = new ModelVertical(back_still);
		model_front_still = new ModelVertical(front_still);
		model_back_moving = new ModelVertical(back_moving, 4, 10);
		model_front_moving = new ModelVertical(front_moving, 4, 10);
	}
}
